# 飞牛论坛自动签到脚本

## 脚本功能

飞牛论坛自动签到脚本用于自动完成飞牛论坛的每日签到任务，支持以下功能：

- 自动登录飞牛论坛账号
- 自动识别验证码（通过百度OCR API）
- 每日自动签到
- 签到结果通过通知功能发送

## 依赖要求

### 软件依赖
- Python 3.6+
- 以下Python库：
  - requests
  - beautifulsoup4

### 安装命令
```bash
pip install requests beautifulsoup4
```

## 配置方法

### 1. 环境变量配置

#### (1) 账号配置 - FN_CONFIG
```json
{
    "USERNAME": "你的飞牛论坛用户名",
    "PASSWORD": "你的飞牛论坛密码",
    "BASE_URL": "飞牛论坛基础URL（默认：https://club.fnnas.com/）"
}
```

#### (2) 百度OCR API配置 - BAIDU_API_CONFIG
```json
{
    "API_KEY": "你的百度OCR API Key",
    "SECRET_KEY": "你的百度OCR Secret Key"
}
```

### 2. 百度OCR API申请
1. 注册百度智能云账号：https://cloud.baidu.com
2. 创建文字识别应用，获取API Key和Secret Key
3. 将获取的密钥填入环境变量

## 使用说明

### 运行方式
```bash
python3 sign_with_qinglong.py
```

### 定时任务示例
```bash
0 8 * * * python3 sign_with_qinglong.py  # 每天8点自动签到
```

## 通知功能

签到结果将通过通知功能发送，示例内容：
```
📅 签到日期: 2023-05-10 08:30:45

👤 账号: your_username
--------------------------------
✅ 签到成功！

📊 签到数据:
  • 连续签到: 5天
  • 累计签到: 30天
  • 今日获得积分: 100

--------------------------------
💻 脚本运行完成！
🚀 下次见！
```

## 常见问题

### 1. 验证码识别失败
- 确认百度OCR API密钥正确
- 检查验证码图片清晰度，可尝试更换OCR识别类型
- 避免频繁请求触发API频率限制

### 2. 登录失败
- 检查账号密码是否正确
- 确认论坛登录页面结构是否变更
- 尝试删除cookies.json后重新登录

### 3. 通知未收到
- 确保通知模块路径正确
- 手动测试通知功能：`python notify.py "测试通知" "测试内容"`

## 免责协议

1. 本脚本仅供个人学习和研究使用，请勿用于商业用途或其他非法目的。
2. 脚本运行可能涉及论坛账号登录和数据获取，请严格遵守飞牛论坛的用户协议和相关法律法规。
3. 作者不对脚本的可用性、准确性负责，使用本脚本产生的一切后果由使用者自行承担。
4. 如因使用本脚本导致账号异常、封禁或其他损失，作者不承担任何责任。
5. 若论坛调整页面结构或策略导致脚本失效，作者无义务持续维护更新。
6. 使用本脚本即视为同意上述条款，请勿在未经允许的情况下将脚本用于他人账号。